sane-genesys(5)

BEZEICHNUNG
sane-genesys - SANE-Backend für GL646-, GL841-, GL843-, GL847- und GL124-basierte USB-Flachbett-Scanner

BESCHREIBUNG
Die Bibliothek sane-genesys implementiert ein SANE-(Scanner Access Now Easy) Backend zum Zugriff auf USB-Flachbett-Scanner, die auf den Genesys GL646-, GL841-, GL843-, GL847- und GL124-Chips basieren. Derzeit arbeiten die folgenden Scanner bekanntermaßen mit diesem Backend zusammen:

    Canon LiDE 35/40/50/60/100/110/120/200/210/220/700
    Hewlett-Packard HP2300C/HP2400/HP3670/HP3690/G4010/G4050
    Medion MD5345/MD6228/MD6274
    Panasonic KV-SS080
    Plustek OpticBook 3600
    Pentax DSmobile 600
    Syscan/Ambir DocketPORT 467/485/487/665/685
    Visioneer OneTouch 7100/Strobe XP100 (Revision 3)/XP200/XP300/Roadwarrior
    Xerox Travel Scanner 100, OneTouch 2400

Dies ist eine stabile Software für die unterstützten Modelle. Falls Sie aber neue oder nicht getestete Scanner ausprobieren, halten Sie eine Hand an den Netzstecker und ziehen Sie ihn, falls der Kopf an das Ende des Scan-Bereichs stößt.

Falls Sie einen anderen als die oben aufgeführten Scanner besitzen, der mit diesem Backend funktioniert, senden Sie mir die genaue Modellbezeichnung des Scanners und die USB-Anbieter- und Gerätekennungen (zum Beispiel aus /proc/bus/usb/devices, mit sane-find-scanner(1) ermittelt oder aus dem Systemprotokoll) an die Sane-Devel-Mailingliste. Selbst wenn sich der Name des Scanners nur geringfügig von den oben genannten Modellen unterscheidet, lassen Sie es mich bitte wissen.

Falls Sie einen Scanner besitzen, der vom Genesys-Backend nicht erkannt wird aber einen GL646-, GL841-, GL843-, GL847- oder GL124 Chipsatz hat, können Sie versuchen, ihn zum Backend hinzuzufügen.

KALIBRIERUNG
Um eine korrekte Abbildungsqualität zu erhalten, müssen Einzugsscanner mittels der mitgelieferten Kalibrierungsseite kalibriert werden. Zur Kalibrierung müssen Sie dieses Ziel in den Einzug einlegen, dann die Kalibrierung starten, entweder durch Übergabe der Option »--calibrate« an Scanimage oder durch Anwählen des verfügbaren Knopfs »Kalibrierung« in den »Fortgeschrittenen Optionen« in einer graphischen Oberfläche. Das Ergebnis der Kalibrierung wird in einer Datei im Home-Verzeichnis des Benutzers, der diese durchführt, gespeichert. Falls Sie den Scanner an eine andere Maschine anschließen oder ihn unter einem anderen Konto verwenden, muss die Kalibrierung erneut durchgeführt werden, außer Sie verwenden die Option »--calibration-file«. Falls kein Home-Verzeichnis definiert ist, wird USERAPPPROFILE, dann TMPDIR oder TMP verwendet. Falls keines dieser Verzeichnisse existiert, wird das Backend versuchen, in das aktuelle Verzeichnis zu schreiben. Flachbettscanner werden die Kalibrierungsdatei auch als Zwischenspeicher verwenden, um Kalibrierungen vor jedem Scan zu vermeiden. Der Name der Kalibrierungsdatei ist der Name des Scanner-Modells, falls nur ein Scanner erkannt wird. Falls mehrere identische Scannermodelle vorhanden sind, wird der Dateiname der Name des logischen USB-Geräts sein. Die Ablaufzeit verwaltet die Zeit, die die Kalibrierung im Zwischenspeicher gültig ist. Ein Wert von -1 bedeutet »für immer«, 0 bedeutet »kein Zwischenspeicher«.

EXTRA-SCAN-OPTIONEN

--lamp-off-time Zahl
    Die Lampe wird nach der angegebenen Zeit (in Minuten) ausgeschaltet. Ein Wert von 0 bedeutet, dass die Lampe nicht ausgeschaltet wird.

--threshold Prozent
    0..100% (in Schritten von 1). Wählt die minimale Helligkeit, um einen Weißpunkt zu erhalten. Pixel mit Helligkeit unterhalb dieses Wertes werden als schwarz gescannt.

--brightness Wert
    -100..100 (in Schritten von 1). Setzt die Helligkeitsverbesserung. 0 für keine Verbesserung, negative Werte zur Verringerung der Helligkeit und positive Werte zur Erhöhung.

--contrast Wert
    -100..100 (in Schritten von 1). Setzt die Kontrastverbesserung. 0 für keine Verbesserung, negative Werte zur Verringerung des Kontrasts und positive Werte zur Erhöhung.

--disable-interpolation yes|no
    Wenn bei der Verwendung hoher Auflösungen die horizontale Auflösung kleiner als die vertikale Auflösung ist, werden die Daten durch die Software interpoliert, um die Bildgeometrie zu erhalten. Dies kann mit dieser Option deaktiviert werden, um die echten gescannten Daten zu erhalten.

--disable-dynamic-lineart yes|no
    deaktiviert die Verwendung eines adaptiven Software-Algorithmus zur Erstellung von Lineart und verläßt sich auf die Hardware-Lineart.

--color-filter None|Red|Green|Blue
    Bei der Verwendung von Graustufen oder Lineart wählt diese Option die verwandte Farbe. Durch Verwendung eines Farbfilters wird ein einfarbiger Scan erhalten. CIS-basierte Scanner können echte Graustufen ermöglichen, wenn kein Filter (Wert None) ausgewählt ist.

--lamp-off-scan
    Die Lampe wird während des Scans ausgeschaltet. Kalibrierung erfolgt weiterhin mit eingeschalteter Lampe.

--clear-calibration
    bereinigt die Kalibrierungszwischenspeicherdaten, löst eine neue Kalibrierung für das Gerät aus, wenn der nächste Scan passiert.

--calibration-file
    legt den für die Kalibrierungsdatei zu verwendenden Namen fest. Zumindest das Verzeichnis, das die Datei enthält, muss existieren, da es nicht erstellt wird. Diese Option ist deaktiviert, falls das Backend als root ausgeführt wird. Sie kann im Falle von Einzugsscannern verwendet werden, um eine Kalibrierungsdatei für mehrere Benutzer gemeinsam zu verwenden.

--expiration-time
    legt die Zeit (in Minuten) fest, die eine zwischengespeicherte Kalibrierung als gültig betrachtet wird. Falls sie älter als der angegebene Wert ist, erfolgt eine neue Kalibrierung. Ein Wert von -1 bedeutet, dass kein Ablauf erfolgt und der zwischengespeicherte Wert für immer behalten wird, außer der Benutzer bereinigt sie mit der Option »--clear-calibration«. Ein Wert von 0 bedeutet, dass der Zwischenspeicher deaktiviert ist.

Zusätzlich werden eine Reihe von »Software«-Optionen vom Backend offengelegt. Diese sind Reimplementierungen von Funktionalitäten, die von größeren Scannern selbst bereitgestellt werden, aber stattdessen auf dem Rechner laufen. Dies ermöglicht es kleineren Maschinen, ähnliche Fähigkeiten zu haben. Bitte beachten Sie, dass diese Funktionalitäten etwas vereinfachend sind und nicht so gut funktionieren könnten wie die Implementierungen der Scanner. Beachten Sie auch, dass diese Funktionalitäten es notwendig machen, dass der Treiber das gesamte Bild im Hauptspeicher zwischenspeichert. Dies führt fast sicher zu einer Reduzierung der Scangeschwindigkeit.

--swcrop
    weist den Treiber an, die Grenzen des Papiers innerhalb des größeren Bildes zu erkennen und die leeren Kanten abzuschneiden.

--swdeskew
    weist den Treiber an, die Orientierung innerhalb des größeren Bildes zu erkennen und die Drehung anzupassen.

--swdespeck --despeck X
    weist den Treiber an, Punkte vom Durchmesser X zu finden und vom Bild zu entfernen und den Bereich mit dem Durchschnitt der umgebenen Farbe zu füllen.

--swskip 0..100% (in Schritten von 1) [0]
    weist den Treiber an, Seiten mit einer niedrigen Anzahl an dunklen Pixeln zu verwerfen.

--swderotate[=(yes|no)] [no]
    weist den Treiber an, Bilddrehungen um 90° zu erkennen und zu korrigieren.

SYSTEMPROBLEME
Dieses Backend benötigt ein installiertes libusb-0.1.6 oder neuer und wurde nicht mit anderen Konfigurationen als einem Linux-Kernel 2.6.9 oder neuer getestet. Allerdings sollte es auf jedem System mit Libusb funktionieren, auf dem das SANE-Paket kompiliert werden kann. Bezüglich des Setzens von Berechtigungen und allgemeinen USB-Informationen schauen Sie in sane-usb(5).

KONFIGURATION
Der Inhalt der Datei genesys.conf ist eine Liste von USB-Zeilen, die die Lieferanten- und Produktkennungen enthalten, die den USB-Scannern entsprechen. Die Datei kann auch Optionszeilen enthalten. Leere Zeilen und solche, die mit einer Raute (#) beginnen, werden ignoriert. Die Scanner werden durch die usb Lieferantenkennung Produktkennung-Erklärungen automatisch erkannt, die bereits in genesys.conf enthalten sind. »Lieferantenkennung« und »Produktkennung« sind hexadezimale Zahlen, die den Scanner identifizieren.

DATEIEN

/etc/sane.d/genesys.conf
    Die Backend-Konfigurationsdatei (siehe auch die nachfolgende Beschreibung von SANE_CONFIG_DIR).

/usr/lib/x86_64-linux-gnu/sane/libsane-genesys.a
    Die statische Bibliothek, die dieses Backend implementiert.

/usr/lib/x86_64-linux-gnu/sane/libsane-genesys.so
    Die dynamische Bibliothek, die dieses Backend implementiert (auf Systemen verfügbar, die dynamisches Laden unterstützen).

UMGEBUNGSVARIABLEN

SANE_CONFIG_DIR
    Diese Umgebungsvariable gibt eine Liste von Verzeichnissen an, die die Konfigurationsdatei enthalten können. Auf *NIX-Systemen sind die Verzeichnisse durch Doppelpunkte (:) getrennt, unter OS/2 durch Semikola (;). Falls diese Variable nicht gesetzt ist, wird in zwei Standardverzeichnissen nach der Konfigurationsdatei gesucht: zuerst im aktuellen Arbeitsverzeichnis (.) und dann in /etc/sane.d. Falls der Wert der Umgebungsvariable mit dem Verzeichnis-Trennzeichen endet, dann werden die Standardverzeichnisse nach den explizit angegebenen Verzeichnissen durchsucht. Wenn Sie beispielsweise SANE_CONFIG_DIR auf »/tmp/config:« setzen, wird in den Verzeichnissen »tmp/config«, ».« und »/etc/sane.d« gesucht (in dieser Reihenfolge).

SANE_DEBUG_GENESYS
    Falls die Bibliothek mit aktivierter Debug-Unterstützung kompiliert wurde, steuert diese Umgebungsvariable die Debug-Stufe für dieses Backend. Höhere Debug-Stufen erhöhen die Ausführlichkeit der Ausgabe. Falls die Debug-Stufe auf 1 oder höher gesetzt ist, werden einige Debug-Optionen verfügbar, die normalerweise versteckt sind. Nutzen Sie dies vorsichtig. Dies wird Meldungen mit Bezug zu den Kern-Genesys-Funktionen ausgeben.

SANE_DEBUG_GENESYS_IMAGE
    Falls die Bibliothek mit aktivierter Debug-Unterstützung kompiliert wurde, steuert diese Umgebungsvariable die Protokollierung von Zwischenbilddaten. Um diesen Modus zu aktivieren, setzten Sie die Umgebungsvariable auf 1. Beispiel (volle und sehr ausführliche Ausgabe für gl646):
    export SANE_DEBUG_GENESYS=255

DANKSAGUNGEN
Jack McGill, der mehrere Einzugs- und Flachbettscanner spendete, die es ermöglichten, Unterstützung für sie in dem Genesys-Backend hinzuzufügen:
    Hewlett-Packard HP3670
    Visioneer Strobe XP100 (rev3)/XP200/XP300/Roadwarrior
    Canon LiDE 200
    Pentax DSmobile 600
    Syscan/Ambir DocketPORT 467/485/487/665/685
    Xerox Travel Scanner 100, Onetouch 2400

cncsolutions
    (http://www.cncsolutions.com.br) förderten und unterstützten die Arbeit am Panasonic KV-SS080.

Brian Paavo von Benthic Science Limited für die Spende eines Canoscan LiDE 700F.

Dany Qumsiyeh für die Spende eines LiDE 210 und eines LiDE 220.

Luc Verhaegen für die Spende eines Canoscan LiDE 120.

SIEHE AUCH
sane(7), sane-usb(5)

AUTOR
Oliver Rauch
Henning Meier-Geinitz <henning@meier-geinitz.de>
Gerhard Jaeger <gerhard@gjaeger.de>
Stéphane Voltz <stef.dev@free.fr>
Philipp Schmid <philipp8288@web.de>
Pierre Willenbrock <pierre@pirsoft.dnsalias.org>
Alexey Osipov <simba@lerlan.ru> für die Unterstützung des HP2400 (endlich!)

EINSCHRÄNKUNGEN
Für gl646-basierende Scanner ist keine Energieeinsparung implementiert. Dynamik (emuliert aus grauen Daten und mit Dithering) ist für gl646-Scanner nicht aktiviert. Hardware-Lineart ist, aufgrund der Art, wie die Bildsensoren gebaut sind, auf 600 DPI für gl847-basierte Scanner begrenzt.

Dieses Backend wird viel langsamer sein, falls die libusb-1.0 nicht verwendet wird. Stellen Sie daher sicher, dass sane-backends mit der Option --enable-libusb_1_0 gebaut wird.

FEHLER
Für den LiDE 200 werden die gescannten Daten bei 4800 DPI »wie erhalten« vom Sensor erlangt. Es scheint, dass der Windows-Treiber noch eine Digitalverarbeitung zur Verbesserung durchführt; diese ist in dem Backend nicht implementiert.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).